Package owl.game.output

## Class Aig

- java.lang.Object
- - owl.game.output.Aig

-     @Immutable
      public abstract class Aig
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Aig` | `FALSE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Aig()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isConstant()` |
    `boolean` | `isLeaf()` |
    `boolean` | `isVariable()` |
    `static Aig` | `leaf​(int variable)` |
    `abstract Aig` | `left()` |
    `abstract boolean` | `leftIsNegated()` |
    `static Aig` | `node​(Aig left, boolean leftNegated, Aig right, boolean rightNegated)` |
    `static Aig` | `node​(Aig left, Aig right)` |
    `abstract Aig` | `right()` |
    `abstract boolean` | `rightIsNegated()` |
    `abstract int` | `variable()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FALSE

          public static final Aig FALSE

  - ### Constructor Detail

    - #### Aig

          public Aig()

  - ### Method Detail

    - #### variable

          public abstract int variable()

    - #### left

          @Nullable
          public abstract Aig left()

    - #### leftIsNegated

          public abstract boolean leftIsNegated()

    - #### right

          @Nullable
          public abstract Aig right()

    - #### rightIsNegated

          public abstract boolean rightIsNegated()

    - #### leaf

          public static Aig leaf​(int variable)

    - #### node

          public static Aig node​(Aig left,
                                 Aig right)

    - #### node

          public static Aig node​(Aig left,
                                 boolean leftNegated,
                                 Aig right,
                                 boolean rightNegated)

    - #### isLeaf

          public boolean isLeaf()

    - #### isConstant

          public boolean isConstant()

    - #### isVariable

          public boolean isVariable()